import { OnInit, OnChanges, AfterContentInit, OnDestroy } from '@angular/core';
import { UxDynFormModelArray } from './shared/model/ux-dyn-core.model';
import { FormGroup, FormArray } from '@angular/forms';
import { DynFormApi } from './shared/services/form-api-service';
export declare class UxDynFormsComponent implements OnInit, OnDestroy, AfterContentInit, OnChanges, OnDestroy {
    dynForm: DynFormApi;
    formConfig: UxDynFormModelArray;
    frameId: string;
    parent: FormGroup | FormArray;
    formApiSubs: any;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: any): void;
}
